Skip to content
Fulfillment & ShippingRates

Update shipping rate

Updates a shipping rate's zone, pricing formula, limits, postal codes, tax, surcharge, and active state.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.ecomiq.pe/api/v1/shipping/rates/7204558912004321806" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "baseLanguage": "Envío estándar",    "translations": {      "key": {        "description": "Polo de algodón pima para uso diario."      }    },    "shippingMethodId": "7204558912004325207",    "type": "flat",    "zoneCode": "LIMA",    "price": 89,    "currency": "PEN",    "minOrderPrice": 89  }'
Empty